Bug 1421189 - [RFE] Web Console Customizations Based On Existing Pages
Summary: [RFE] Web Console Customizations Based On Existing Pages
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 15:06 UTC by Steven Walter
Modified: 2020-07-16 09:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 13:54:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steven Walter 2017-02-10 15:06:11 UTC
1. Proposed title of this feature request
Edit existing pages as an alternative to the blank templates

3. What is the nature and description of the request?
We currently support users exporting templates to replace the login page, etc. This is good for users who want to rebrand their cluster to fit their needs; however some may simply want to make modifications to the existing look/feel, such as adding a logo but keeping the OpenShift logo, or modifying the settings of the login form, etc. This is potentially possible by taking the console from github [1], but it is requested that we have this built in as an optional template to make it an easier experience to edit. Otherwise we could link to the template in our docs.

[1] https://github.com/openshift/origin-web-console/tree/master/app
 

4. Why does the customer need this? (List the business requirements here)
Want to maintain the web console's look/feel but tweak it to their own needs, without spending time building an entire look/feel.
 

5. How would the customer like to achieve this? (List the functional requirements here)
Make the existing HTML/CSS/JS available for modificaiton
 

6. For each functional requirement listed in question 5, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
Add a flag to the below commands that lets you choose a blank template or a full template:

$ oadm create-login-template > login-template.html
$ oadm create-provider-selection-template > provider-selection-template.html

7. Is there already an existing RFE upstream or in Red Hat bugzilla?
Not that I can find

10. List any affected packages or components.
Web console

Comment 4 Eric Rich 2018-03-12 13:54:36 UTC
This bug has been identified as a dated (created more than 3 months ago) bug. 
This bug has been triaged (has a trello card linked to it), or reviewed by Engineering/PM and has been put into the product backlog, 
however this bug has not been slated for a currently planned release (3.9, 3.10 or 3.11), which cover our releases for the rest of the calendar year. 

As a result of this bugs age, state on the current roadmap and PM Score (being below 70), this bug is being Closed - Differed, 
as it is currently not part of the products immediate priorities.

Please see: https://docs.google.com/document/d/1zdqF4rB3ea8GmVIZ7qWCVYUaQ7-EexUrQEF0MTwdDkw/edit for more details.


Note You need to log in before you can comment on or make changes to this bug.